load ms093_pos.mat
%---------------------
% perform cosine series expansion for 1 picture
% a=mat(1,:,1);
% figure;plot(a)
% 
% x=[1:3500]/3500;
% k=499;
% sigma=0;
% [wfs beta]=WFS_COSINE(a',x',k,sigma);
% 
% hold on; plot(wfs, 'r')
% 
% rec=WFS_resample(beta,k,x);
% figure; plot(rec)
% 
% %---------------------
% % perform cosine series expansion for 30 pictures
% a = squeeze(mat(1,:,:));
% x=[1:3500]'/3500;
% k=499;
% sigma=0;
% [wfs beta]=WFS_COSINE(a,x,k,sigma);
% 
% 
% rec=WFS_resample(beta(:,1),k,x');
% figure; plot(rec)
%---------------------
% perform cosine series expansion for 128 channels and 30 pictures

% ENCODING
x=[1:3500]'/3500;
k=499;
sigma=0;    
rec=zeros(128,500,30);

for i=1:128
    a = squeeze(mat(i,:,:));
    [wfs beta]=WFS_COSINE(a,x,k,sigma);
    rec(i,:,:)=beta;
end

rec=single(rec);

% double checking channel 1 picture 1
%b=rec(1,:,1);
%wfs=WFS_resample(b',k,x');
%figure; plot(wfs)

save sub093 rec

%DECODING

load sub093.mat
x=[1:3500]'/3500; %x-coordinates
k=499;  %degree

% channel 1 picture 1
b=rec(1,:,1);
wfs=WFS_resample(b',k,x');
figure; plot(wfs)














